import "./tasks/bedtools.wdl" as bedtools

workflow {{ project_name }} {

	File input_samples_file
	File bed_file
	Array[Array[File]] input_samples = read_tsv(input_samples_file)
    
	scatter (sample in input_samples) {

		call bedtools.bedtools as bedtools {
			input:
			bam=sample[0],
			bai=sample[1],
			bed_file=bed_file

		}
	}
}

